﻿
using System.Windows.Markup;
namespace CheckBoxesInCombo
{
	[ContentProperty("Resources")]
	public class Appointment : NotifyPropertyChanged
	{
		public Appointment()
		{
			this.Resources = new ResourceCollection();
		}

		private string subject;

		public string Subject
		{
			get
			{
				return this.subject;
			}
			set
			{
				if (this.subject != value)
				{
					this.subject = value;
					this.OnPropertyChanged("Subject");
				}
			}
		}

		public ResourceCollection Resources { get; private set; }
	}
}