﻿using System.Collections.ObjectModel;

namespace CheckBoxesInCombo
{
	public class Resource : NotifyPropertyChanged
	{
		public string ResourceTypeName { get; set; }

		private string resourceName;
		public string ResourceName
		{
			get
			{
				return this.resourceName;
			}
			set
			{
				if (this.resourceName != value)
				{
					this.resourceName = value;
					this.OnPropertyChanged("ResourceName");
				}
			}
		}

		public override bool Equals(object obj)
		{
			Resource target = obj as Resource;
			if (target == null)
			{
				return false;
			}
			return this.ResourceName == target.ResourceName && this.ResourceTypeName == target.ResourceTypeName;
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}