﻿
namespace CheckBoxesInCombo
{
	public class ResourceItem : NotifyPropertyChanged
	{
		private Resource resource;
		private bool isChecked;

		public Resource Resource
		{
			get
			{
				return this.resource;
			}
			set
			{
				if (this.resource != value)
				{
					this.resource = value;
					this.OnPropertyChanged("Resource");
				}
			}
		}

		public bool IsChecked
		{
			get
			{
				return this.isChecked;
			}
			set
			{
				if (this.isChecked != value)
				{
					this.isChecked = value;
					this.OnPropertyChanged("IsChecked");
				}
			}
		}

		public ResourceItemCollection Owner
		{
			get;
			set;
		}
	}
}