﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Data;

namespace CheckBoxesInCombo
{
	public class CommaSeparatedConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return string.Join(", ", (value as IEnumerable<ResourceItem>).Select(item => item.Resource.ResourceName).ToArray());
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}