﻿using System.Windows.Markup;

namespace CheckBoxesInCombo
{
	[ContentProperty("Resources")]
	public class ResourceType : NotifyPropertyChanged
	{
		private string typeName;

		public ResourceType()
		{
			this.Resources = new ResourceCollection();
		}

		public string TypeName
		{
			get
			{
				return this.typeName;
			}
			set
			{
				if (this.typeName != value)
				{
					this.typeName = value;
					this.Resources.ResourceTypeName = value;
				}
			}
		}

		public bool AllowsMultiSelection { get; set; }

		public ResourceCollection Resources
		{
			get;
			private set;
		}
	}
}